summaryrefslogtreecommitdiffstats
path: root/system/scanmem
diff options
context:
space:
mode:
author chinarulezzz <s.alex08@mail.ru>2012-06-25 22:22:31 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-06-25 22:22:31 -0400
commitd085a14879b0b272a2fffa28856e52f1e1ed7043 (patch)
treee9bd9d83ea8ee1c8d9ea995809af7c4ed4980ed3 /system/scanmem
parentc009cbedc10aff9b73b2e1a1099ef5e78bb4c8c6 (diff)
downloadslackbuilds-d085a14879b0b272a2fffa28856e52f1e1ed7043.tar.gz
slackbuilds-d085a14879b0b272a2fffa28856e52f1e1ed7043.tar.xz
system/scanmem: Added (simple interactive debugging utility)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/scanmem')
-rw-r--r--system/scanmem/README6
-rw-r--r--system/scanmem/scanmem.SlackBuild91
-rw-r--r--system/scanmem/scanmem.info10
-rw-r--r--system/scanmem/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/system/scanmem/README b/system/scanmem/README
new file mode 100644
index 0000000000..41a2a48b6c
--- /dev/null
+++ b/system/scanmem/README
@@ -0,0 +1,6 @@
+scanmem is a debugging utility designed to isolate the address of an arbitrary
+variable in an executing process. scanmem simply needs to be told the pid of
+the process, and the value of the variable at several different times.
+
+After several scans of the process, scanmem isolates the position of the
+variable and allows you to modify it's value. \ No newline at end of file
diff --git a/system/scanmem/scanmem.SlackBuild b/system/scanmem/scanmem.SlackBuild
new file mode 100644
index 0000000000..f1aa9183f5
--- /dev/null
+++ b/system/scanmem/scanmem.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script scanmem
+# written by chinarulezzz s.alex08@mail.ru
+
+
+PRGNAM=scanmem
+VERSION=${VERSION:-0.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make OS_CFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# move any generated man pages to their proper location
+#if [ -d $PKG/usr/share/man ]; then
+# mv $PKG/usr/share/man $PKG/usr
+# gzip -9 $PKG/usr/man/man?/*.?
+#fi
+
+# Add docs, and if present, built documentation to the proper location
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a TODO README COPYING NEWS gpl-2.0.txt gpl-3.0.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+#if [ -d $PKG/usr/share/doc ]; then
+# mv $PKG/usr/share/doc/scanmem/* $PKG/usr/doc/$PRGNAM-$VERSION/
+# rm -rf $PKG/usr/share/doc
+#fi
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/scanmem/scanmem.info b/system/scanmem/scanmem.info
new file mode 100644
index 0000000000..df723a01a2
--- /dev/null
+++ b/system/scanmem/scanmem.info
@@ -0,0 +1,10 @@
+PRGNAM="scanmem"
+VERSION="0.12"
+HOMEPAGE="http://taviso.decsystem.org"
+DOWNLOAD="http://scanmem.googlecode.com/files/scanmem-0.12.tar.gz"
+MD5SUM="2ad341798525c9243b6f909a9fe5aa4d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="chinarulezzz"
+EMAIL="s.alex08@mail.ru"
+APPROVED="dsomero"
diff --git a/system/scanmem/slack-desc b/system/scanmem/slack-desc
new file mode 100644
index 0000000000..be650afe94
--- /dev/null
+++ b/system/scanmem/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scanmem: scanmem (a simple interactive debugging utility for linux)
+scanmem:
+scanmem: scanmem is a debugging utility designed to isolate the address of
+scanmem: an arbitrary variable in an executing process.
+scanmem:
+scanmem: scanmem requires libreadline to read commands interactively,
+scanmem: and /proc must be mounted.
+scanmem:
+scanmem: homepage: http://taviso.decsystem.org
+scanmem:
+scanmem: